Bug 178564 - Refactoring does not properly work for overridden attributes
Refactoring does not properly work for overridden attributes
Status: VERIFIED FIXED
Product: javafx
Classification: Unclassified
Component: Unsupported
6.x
PC Windows XP
: P3 (vote)
: 6.x
Assigned To: J Bachorik
issues@javafx
68patch1-verified
:
Depends on:
Blocks: 173077
  Show dependency treegraph
 
Reported: 2009-12-14 02:42 UTC by Alexandr Scherbatiy
Modified: 2010-01-28 03:53 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexandr Scherbatiy 2009-12-14 02:42:35 UTC
NetBeans-JavaFX-Soma: #65

  Product Version         = NetBeans IDE 6.8 RC1 (Build 200911252200) (#3c4d4f8d3d55)
  Operating System        = Windows XP version 5.1 running on x86
  Java; VM; Vendor        = 1.6.0_15; Java HotSpot(TM) Client VM 14.1-b02; Sun Microsystems Inc.


Steps to reproduce:

- Copy the code to the editor:
-------------------------------------------
class A{
    public var name:String = "A";
}

class B extends A{
    override var name = "B";
}
-------------------------------------------

- Refactor->Rename the 'name' attribute to 'name2' in the B class

Main.fx:14: cannot find symbol
symbol  : variable name
location: class javafxapplication8.Main.B
    override var name = "B";
1 error
Comment 1 Alexandr Scherbatiy 2009-12-14 02:45:46 UTC
Both renaming the attribute in the A and in the B class do not update the attribute in the B class.
Comment 2 J Bachorik 2009-12-15 05:05:51 UTC
fixed in http://hg.netbeans.org/javafx/rev/22b60eddc1ce
Comment 3 Alexandr Scherbatiy 2009-12-18 04:23:56 UTC
verified in NetBeans-JavaFX-Soma: #69
Comment 4 rbalada 2010-01-27 08:48:22 UTC
The fix has been ported into release68_fixes branch as http://hg.netbeans.org/javafx/rev/b38e601a2798
Comment 5 Alexandr Scherbatiy 2010-01-28 03:53:28 UTC
Verified in NB 6.8 Patch1 2010-01-28_00-36-51


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo